migration-assistant crash if existing partition type changed during install

Bug #93197 reported by jhansonxi on 2007-03-17
2
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Evan

Bug Description

Binary package hint: ubiquity

Target system has two existing NTFS partitions. The first is supposed to be FAT32 for a future FreeDOS install and the second is WinXP. Test performed with Xubuntu Herd5 liveCD. If I change the first partition to FAT32 during manual partitioning, the migration assistant subsequently fails.

Relevant terminal output is as follows:

Mar 14 04:33:53 ubiquity: Partman: state = [['', None, None]]
Mar 14 04:33:56 ubiquity: Starting up '['log-output', '-t', 'ubiquity', '--pass-stdout', '/usr/lib/ubiquity/migration-assistant/ma-ask', '/usr/lib/ubiquity/migration-assistant']' for ubiquity.components.migrationassistant.MigrationAssistant
Mar 14 04:33:56 ubiquity: Watching for question patterns ^migration-assistant/partitions, ^migration-assistant/.*/users$, ^migration-assistant/.*/items$, ^migration-assistant/.*/user$, ^migration-assistant/.*/password$, ERROR
Mar 14 04:33:59 ubiquity: ['log-output', '-t', 'ubiquity', '--pass-stdout', '/usr/lib/ubiquity/migration-assistant/ma-ask', '/usr/lib/ubiquity/migration-assistant'] exited with code 1
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtkui.py", line 1432, in watch_debconf_fd_helper
    return callback(source, debconf_condition)
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 185, in process_input
    self.status = self.wait()
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 119, in wait
    self.cleanup()
  File "/usr/lib/ubiquity/ubiquity/components/migrationassistant.py", line 136, in cleanup
    items = self.db.get('migration-assistant/' + part + '/' + user + '/items')
  File "/usr/lib/python2.5/site-packages/debconf.py", line 60, in <lambda>
    lambda *args, **kw: self.command(command, *args, **kw))
  File "/usr/lib/python2.5/site-packages/debconf.py", line 96, in command
    raise DebconfError(status, data)
DebconfError: (20, 'Incorrect number of arguments')

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtkui.py", line 1432, in watch_debconf_fd_helper
    return callback(source, debconf_condition)
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 185, in process_input
    self.status = self.wait()
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 119, in wait
    self.cleanup()
  File "/usr/lib/ubiquity/ubiquity/components/migrationassistant.py", line 136, in cleanup
    items = self.db.get('migration-assistant/' + part + '/' + user + '/items')
  File "/usr/lib/python2.5/site-packages/debconf.py", line 60, in <lambda>
    lambda *args, **kw: self.command(command, *args, **kw))
  File "/usr/lib/python2.5/site-packages/debconf.py", line 96, in command
    raise DebconfError(status, data)
debconf.DebconfError: (20, 'Incorrect number of arguments')

jhansonxi (jhansonxi) wrote :
Evan (ev) wrote :

Can you please re-run the installer with the -d option, and attach the /var/log/installer/debug file when migration-assistant crashes?

Thanks!

Changed in ubiquity:
assignee: nobody → evand
status: Unconfirmed → Needs Info
jhansonxi (jhansonxi) wrote :

version: ubiquity 1.3.23

Evan (ev) on 2007-03-20
Changed in ubiquity:
status: Needs Info → In Progress
Colin Watson (cjwatson) wrote :

<cjwatson> evand: looking at https://beta.launchpad.net/ubuntu/+source/ubiquity/+bug/93197 - shouldn't 'set_os_type $line' be 'set_os_type "$line"'? $line might well contain spaces and needs to be quoted
<cjwatson> evand: also seems like it wouldn't hurt to have set_os_type return 1 if it's an unknown OS type and then do 'set_os_type "$line" || continue' or similar in calling code

Evan (ev) wrote :

migration-assistant (0.4.3) UNRELEASED; urgency=low

  * Possible fix for ostype not getting set in the -ask and -apply
    scripts. Also added some temporary debugging information.
    (LP: #93197)

Changed in ubiquity:
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

migration-assistant (0.4.3) feisty; urgency=low

  * Possible fix for ostype not getting set in the -ask and -apply
    scripts. Also added some temporary debugging information.
    (LP: #93197)
  * If the /home partition device doesn't exist under the same name in
    the running kernel, fail gracefully and continue to the next OS.
    (LP: #94878)
  * Added more logging and crash partial recovery.
  * Gracefully fail and continue on items where a non C: drive letter
    comes into play. (LP: #95422)
  * Don't import Windows default bookmarks. Import, but don't set
    "Bliss" as the default wallpaper.

 -- Evan Dandrea <email address hidden> Tue, 27 Mar 2007 03:44:25 -0400

Changed in ubiquity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers